# Smart High-Side Switch Arduino Library

Arduino library for Infineon's Arduino shields for **PROFET™ Smart High-Side Power Switches** Automotive grade

## Supported Products

<table>
    <tr>
        <td><img src="https://github.com/Infineon/high-side-switch/blob/master/docs/img/BTT6020-1EKA.jpg?raw=true" width="300"></td>
        <td><img src="https://github.com/Infineon/high-side-switch/blob/master/docs/img/BTS50015-1TAD.jpg?raw=true" width="300"></td>
        <td><img src="https://github.com/Infineon/high-side-switch/blob/master/docs/img/Profet+2.png?raw=true" width="300"></td>
        <td><img src="../../../docs/img/Power_PROFET_BTS500xx_1LUA.png" width="300"></td>
    </tr>
    <tr>
        <td style="test-align : center"><a href="https://high-side-switch.readthedocs.io/en/latest/hw-platforms.html#profettrade-24v-family">PROFET™+ 24V BTT60xx Arduino Shield</a></td>
        <td style="test-align : center"><a href="https://high-side-switch.readthedocs.io/en/latest/hw-platforms.html#power-profettrade-family">Power PROFET™ BTS5001x-1TAD Arduino Shield</a></td>
        <td style="test-align : center"><a href="https://high-side-switch.readthedocs.io/en/latest/hw-platforms.html#profettrade-2-12v-family">PROFET™+2 12V BTS700x-1EPP Arduino Shield</a></td>
        <td style="test-align: center"><a href="https://high-side-switch.readthedocs.io/en/latest/hw-platforms.html#id5">Power PROFET™ + 12 V BTS500xx-1LUA Arduino Shield</a></td>
    </tr>
</table>

## Supported Frameworks

The library should be supported by any Arduino platform based on the reference Arduino cores.

Check in this [link](https://high-side-switch.readthedocs.io/en/latest/sw-frmwk/arduino/arduino-compatible-kits.html) the already verified (at least successfully built) platforms.

## More information

The complete documentation of the library as well as detailed information about the PROFET-shield, can be found in the [Wiki](https://high-side-switch.readthedocs.io/en/latest/index.html).


### Getting Started

Find a getting started tutorial using the XMC1100 Boot Kit [here](https://high-side-switch.readthedocs.io/en/latest/sw-frmwk/arduino/arduino-getting-started.html).

### More information

The complete relevant Arduino documentation (and more) can be found in the base XFP library [Wiki](https://high-side-switch.readthedocs.io/en/latest/index.html):

* <a href="https://high-side-switch.readthedocs.io/en/latest/sw-frmwk/arduino/arduino-lib-installation.html"> Arduino Lib Installation</a><br>
* <a href="https://high-side-switch.readthedocs.io/en/latest/sw-frmwk/arduino/arduino-examples.html"> Examples</a><br>
* <a href="https://high-side-switch.readthedocs.io/en/latest/sw-frmwk/arduino/arduino-api.html">Arduino API</a><br>
* <a href="https://high-side-switch.readthedocs.io/en/latest/sw-frmwk/arduino/arduino-platformio.html">PlatformIO</a><br>

### Contributing

This is a release repository for the Arduino framework. The code base is maintained and developed in the High-side Switch Cross-Framework-Platform (XFP) library [repository](https://github.com/infineon/high-side-switch).

### License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.